[PATCH] model.c trivial cleanups

Minor changes to reduce the NQ/QW model.c diff

diff -urN -X exclude a/NQ/model.c head/NQ/model.c
--- a/NQ/model.c	2006-06-10 18:57:16.000000000 +0930
+++ head/NQ/model.c	2006-06-10 19:08:13.000000000 +0930
@@ -759,7 +759,7 @@
 
     for (surfnum = 0; surfnum < count; surfnum++, in++, out++) {
 	out->firstedge = LittleLong(in->firstedge);
-	out->numedges = LittleShort(in->numedges); /* FIXME: < 0 means??? */
+	out->numedges = LittleShort(in->numedges);
 	out->flags = 0;
 
 	planenum = LittleShort(in->planenum);
@@ -1179,10 +1179,10 @@
 
 	mod->firstmodelsurface = bm->firstface;
 	mod->nummodelsurfaces = bm->numfaces;
+	mod->radius = RadiusFromBounds(mod->mins, mod->maxs);
 
 	VectorCopy(bm->maxs, mod->maxs);
 	VectorCopy(bm->mins, mod->mins);
-	mod->radius = RadiusFromBounds(mod->mins, mod->maxs);
 
 	mod->numleafs = bm->visleafs;
 
diff -urN -X exclude a/QW/client/model.c head/QW/client/model.c
--- a/QW/client/model.c	2006-06-10 18:57:16.000000000 +0930
+++ head/QW/client/model.c	2006-06-10 19:08:19.000000000 +0930
@@ -22,6 +22,8 @@
 // models are the only shared resource between a client and server running
 // on the same machine.
 
+#include <stdint.h>
+
 #include "console.h"
 #include "crc.h"
 #include "quakedef.h"
@@ -1004,7 +1006,7 @@
     loadmodel->nummarksurfaces = count;
 
     for (i = 0; i < count; i++) {
-	j = (unsigned short)LittleShort(in[i]);
+	j = (uint16_t)LittleShort(in[i]);
 	if (j >= loadmodel->numsurfaces)
 	    Sys_Error("%s: bad surface number", __func__);
 	out[i] = loadmodel->surfaces + j;
@@ -1179,7 +1181,8 @@
 
 	mod->numleafs = bm->visleafs;
 
-	if (i < mod->numsubmodels - 1) {	// duplicate the basic information
+	/* duplicate the basic information */
+	if (i < mod->numsubmodels - 1) {
 	    char name[10];
 
 	    sprintf(name, "*%i", i + 1);
@@ -1376,9 +1379,7 @@
     paliasskingroup->numskins = numskins;
 
     *pskinindex = (byte *)paliasskingroup - (byte *)pheader;
-
     pinskinintervals = (daliasskininterval_t *)(pinskingroup + 1);
-
     poutskinintervals = Hunk_AllocName(numskins * sizeof(float), loadname);
 
     paliasskingroup->intervals = (byte *)poutskinintervals - (byte *)pheader;
@@ -1602,7 +1603,6 @@
 	frametype = LittleLong(pframetype->type);
 	pheader->frames[i].type = frametype;
 
-
 	if (frametype == ALIAS_SINGLE) {
 	    pframetype = (daliasframetype_t *)
 		Mod_LoadAliasFrame(pframetype + 1,
